<?php
/**************************************************************************\
 * Expresso Livre - Calendar                                                *
 * http://www.expressolivre.org                                             *
 * Based on Webcalendar by Craig Knudsen <cknudsen@radix.net>               *
 * Modified by Mark Peters <skeeter@phpgroupware.org>                       *
 * And than Modified by Alexandre Muller <amuller@celepar.pr.gov.br>        *
 * --------------------------------------------                             *
 *  This program is free software; you can redistribute it and/or modify it *
 *  under the terms of the GNU General Public License as published by the   *
 *  Free Software Foundation; either version 2 of the License, or (at your  *
 *  option) any later version.                                              *
 \**************************************************************************/


$phpgw_flags = Array(
		'currentapp'	=>	'expressoCalendar',
		'noappheader'   =>      True,
		'noappfooter'   =>      True,
		'nofooter'      =>      false
		);

$GLOBALS['phpgw_info']['flags'] = $phpgw_flags;
include('../header.inc.php');
$_SESSION['calendar']['user'] = $GLOBALS['phpgw_info']['user'];
$_SESSION['calendar']['server'] = $GLOBALS['phpgw_info']['server'];

if(!is_object($GLOBALS['phpgw']->datetime))
{
	$GLOBALS['phpgw']->datetime = CreateObject('phpgwapi.date_time');
}
if(!is_object($GLOBALS['phpgw']->categories)){
	$GLOBALS['phpgw']->categories = CreateObject('phpgwapi.categories');
	$bo = CreateObject('calendar.bocalendar');
	$cat = &$bo->cat;
	$cat->app_name = 'calendar'; // The categories still the same from egroupwareCalendar
	$optionCategories = $cat->formated_list('select','all',$bo->cat_id,'True');
	$optionCategories .= '<option selected value="0">'.lang("all").'</option>' . "\n";
	
	foreach ($bo->list_cals() as $cal_)
		if (! strstr($cal_['value'],'g_'))
			$optionCals .= '<option value="' . $cal_['grantor'] . '">'.$cal_['name'].'</option>' . "\n";
}

$template_1 = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
$template_1->set_file(Array('expressoCalendar' => 'index.tpl'));
$template_1->set_var('cat_options',$optionCategories);
$template_1->set_var('cal_options',$optionCals);
$template_1->set_block('expressoCalendar','index');
$template_1->pfp('out','index');

$parms = Array(
		'date'		=> date('Ymd',$GLOBALS['phpgw']->datetime->users_localtime)
	      );

// Footer
$GLOBALS['phpgw']->common->phpgw_footer();
echo "<link rel='stylesheet' href='templates/default/main.css' />"
."<script language='JavaScript' type='text/javascript' src='js/globals.js'></script>"
."<script language='JavaScript' type='text/javascript' src='js/xtools.js'></script>"
."<script src='inc/load_lang.php?".$GLOBALS['phpgw_info']['flags']['update_version']."' type='text/javascript'></script>"
."<script language='JavaScript' type='text/javascript' src='js/connector.js'></script>"
."<script language='JavaScript' type='text/javascript' src='js/calendar_functions.js'></script>"
."<script language='JavaScript' type='text/javascript' src='js/drag_area.js'></script>"
."<script language='JavaScript' type='text/javascript' src='js/MOFX.js'></script>"
."<script language='JavaScript' type='text/javascript' src='js/common_functions.js'></script>";

$GLOBALS['phpgw']->common->phpgw_exit();

?>


